% Frequency Plots

figure(1);
subplot(2,1,1)
grid on;
plot(Omega12_5Bus.time,Omega12_5Bus.signals.values(:,1));
title('Frequency of Unit 1');
xlabel('time(seconds)');
ylabel('Frequency of Unit 1');

figure(1);
subplot(2,1,2)
plot(Omega12_5Bus.time,Omega12_5Bus.signals.values(:,2));
title('Frequency of Unit 2')
xlabel('time(seconds)');
ylabel('Frequency of Unit 2');

%%
% Power Plots
figure(2);
subplot(2,1,1);
plot(Power_5Bus.time,Power_5Bus.signals.values(:,1));
title('Power output of Unit 1');
xlabel('time(seconds)');
ylabel('Power output of Unit 1');

figure(2);
subplot(2,1,2);
plot(Power_5Bus.time,Power_5Bus.signals.values(:,2));
title('Power output of Unit 2')
xlabel('time(seconds)');
ylabel('Power output of Unit 2');

figure(3);
plot(Power_5Bus.time,(Power_5Bus.signals.values(:,1)+Power_5Bus.signals.values(:,2)),'r');
title('Total Power output of Units')
xlabel('time(seconds)');
ylabel('TotalPower output');

figure(4);
plot(Power_5Bus.time,Power_5Bus.signals.values(:,5));
title('Propulsion Load');
xlabel('time(seconds)');
ylabel('Propulsion load');

%%
% Voltage Plots
figure(5);
subplot(2,1,1);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,1));
title('Voltage profile at Bus 1- 5 Bus Model')
xlabel('time(seconds)');
ylabel('Voltage at Bus 1');

figure(5);
subplot(2,1,2);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,2));
title('Voltage profile at Bus 2 -5 Bus Model')
xlabel('time(seconds)');
ylabel('Voltage at Bus 2');

figure(6);
subplot(3,1,1);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,5));
title('Voltage profile at Propulsion Bus(Bus 5)- 5 Bus Model')
xlabel('time(seconds)');
ylabel('Voltage at Bus 5');


figure(6);
subplot(3,1,2);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,3));
title('Voltage profile at Bus 3(terminal bus of Unit 1)- 5 Bus Model')
xlabel('time(seconds)');
ylabel('Voltage at Bus 3');

figure(6);
subplot(3,1,3);
plot(Voltage_5Bus.time,Voltage_5Bus.signals.values(:,4));
title('Voltage profile at Bus 4(terminal bus of Unit 2) -5Bus Models')
xlabel('time(seconds)');
ylabel('Voltage at Bus 3');

