
% Generator Parameters
X0G1 = [0.0; 376.991]; %[delta; omega]
X0G2 = [0.0; 376.991]; %[delta; omega]
H = 5; % Inertia constant of MTG at bus 1
omegaS1 = 376.991; % System frequency in rad/s
omegaS2 = 376.991;
Dd= 0.5; % Damping coefficient of MTG at bus 1
Tsf=0.05;

% Governor & Turbine parameters
R=2.4;
Kf=1.6;
TG=0.3;
K=0.2;
B=5;

Pm01=0.16*2;
Pm02=0.16*2;
Tt = 0.5;



Wfmax =2.0;
Wfmin =0.0;

% Participatiopn factor controller
k=[0.5 0.2 0.3 0.1];
t=[0 2 6 8 ]*20;
GRC=0.0;
% Exciter Parameters

Ka = 0.5;
alpha = 5;
beta=1;
Ta = 0.2;
Vrmax = 11.5;
Vrmin = -11.5;
Te = 0.314;
Ke = 1;
Asat = 0.0039;
Bsat = 1.555;
Kf = 0.01;
Tf = 0.35;
tnf =0.1;
Einit1 = 1.0;
Einit2 = 1.00003;


% Network parameters
X05 = [0.391782; 0.400346; -2.36939; -2.57092;-0.0673119;-0.0712411;-0.0900892; 1.06799; 1.03123; 0.890559]; % Network model initial condition




